aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMartin Jansa <martin.jansa@gmail.com>2013-02-06 15:23:38 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-02-06 16:52:19 +0000
commit3b39e5307cf676966cee9cf0ff64ec795bb732de (patch)
treef0083bead6c4d4064b1d0088f3c2f4022c4bb385 /scripts
parent2180cc32b9a6d434c319292c1a636fb8e4d23899 (diff)
downloadopenembedded-core-contrib-3b39e5307cf676966cee9cf0ff64ec795bb732de.tar.gz
bitbake-prserv-tool: show error when export file does not exist
* otherwise it shows error about failing import (From OE-Core rev: 65b2f068719f4cd6e1bd438e8714c2977bd93535) Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake-prserv-tool10
1 files changed, 9 insertions, 1 deletions
diff --git a/scripts/bitbake-prserv-tool b/scripts/bitbake-prserv-tool
index 4654e6d421..96a34702c9 100755
--- a/scripts/bitbake-prserv-tool
+++ b/scripts/bitbake-prserv-tool
@@ -61,8 +61,16 @@ do_migrate_localcount ()
clean_cache
echo "Exporting LOCALCOUNT to AUTOINCs..."
bitbake -R conf/migrate_localcount.conf -p
- [ ! $? -eq 0 ] && echo "Exporting failed!" && exit 1
+ [ ! $? -eq 0 ] && echo "Exporting to file $df failed!" && exit 1
+ if [ -e $df ];
+ then
+ echo "Exporting to file $df succeeded!"
+ else
+ echo "Exporting to file $df failed!"
+ exit 1
+ fi
+
echo "Importing generated AUTOINC entries..."
[ -e $df ] && do_import $df